(defun c:ALIX (/ p1 bt1 entname vlentname lowleftpoint lowleftpointx lowleftpointy uprightpoint uprightpointx uprightpointy lxuy px py now_osmode lowleftpoint1 lowleftpointx1 lowleftpointy1 uprightpoint1 uprightpointx1 uprightpointy1 lxuy1)
  ;; 선택점 선택
(prompt "\n기준 객체를 선택하세요.")
(setq bent (car (entsel)))
  (setq vlentname (vlax-ename->vla-object bent))
    (vla-getboundingbox vlentname 'minpoint 'maxpoint)
    (setq lowleftpoint1 (vlax-safearray->list minpoint))
    (setq lowleftpointx1 (car lowleftpoint1))
    (setq lowleftpointy1 (cadr lowleftpoint1))
    (setq uprightpoint1 (vlax-safearray->list maxpoint))
    (setq uprightpointx1 (car uprightpoint1))
    (setq uprightpointy1 (cadr uprightpoint1))
    (setq p1 (list lowleftpointx1 uprightpointy1))
    (setq lxuy1 (list lowleftpointx1 uprightpointy1))

  ;; 간격 선택
  (setq bt1 (getreal "\n간격을 입력하세요"))
  (setq px (car p1))
  (setq py (cadr p1))
  (setq p1 (list (+ (+ px bt1) (- uprightpointx1 lowleftpointx1))py))
  ;; 현재 OSMODE 저장
  (setq now_osmode (getvar "osmode"))
  ;; 무한 루프
  (while
    (progn
      ;; 객체 선택
      (prompt "\n이동할 객체를 선택하고 ESC 키를 누르세요.")
      (setq entname (car (entsel)))
      ;; ESC 키가 눌렸는지 확인
      (not (null entname))
    )
    ;; 선택한 객체의 좌표 정보 가져오기
    (setq vlentname (vlax-ename->vla-object entname))
    (vla-getboundingbox vlentname 'minpoint 'maxpoint)
    (setq lowleftpoint (vlax-safearray->list minpoint))
    (setq lowleftpointx (car lowleftpoint))
    (setq lowleftpointy (cadr lowleftpoint))
    (setq uprightpoint (vlax-safearray->list maxpoint))
    (setq uprightpointx (car uprightpoint))
    (setq uprightpointy (cadr uprightpoint))
    (setq lxuy (list lowleftpointx uprightpointy))
    ;; 이동 명령 실행
    (setvar "osmode" 0)
    (command "move" entname "" lxuy p1)
    ;; 이동 후 다음 이동할 좌표 설정
    (setq px (car p1))
    (setq py (cadr p1))
    (setq p1 (list (+ (+ px bt1) (- uprightpointx1 lowleftpointx1))py))
  )
  ;; 이동이 완료되면 원래 OSMODE로 복원
  (setvar "osmode" now_osmode)
)


(defun c:ALIY (/ p1 bt1 entname vlentname lowleftpoint lowleftpointx lowleftpointy uprightpoint uprightpointx uprightpointy lxuy px py now_osmode lowleftpoint1 lowleftpointx1 lowleftpointy1 uprightpoint1 uprightpointx1 uprightpointy1 lxuy1)
  ;; 선택점 선택
(prompt "\n기준 객체를 선택하세요.")
(setq bent (car (entsel)))
  (setq vlentname (vlax-ename->vla-object bent))
    (vla-getboundingbox vlentname 'minpoint 'maxpoint)
    (setq lowleftpoint1 (vlax-safearray->list minpoint))
    (setq lowleftpointx1 (car lowleftpoint1))
    (setq lowleftpointy1 (cadr lowleftpoint1))
    (setq uprightpoint1 (vlax-safearray->list maxpoint))
    (setq uprightpointx1 (car uprightpoint1))
    (setq uprightpointy1 (cadr uprightpoint1))
    (setq p1 (list lowleftpointx1 uprightpointy1))
    (setq lxuy1 (list lowleftpointx1 uprightpointy1))

  ;; 간격 선택
  (setq bt1 (getreal "\n간격을 입력하세요"))
  (setq px (car p1))
  (setq py (cadr p1))
  (setq p1 (list px (- (- py bt1) (- uprightpointy1 lowleftpointy1))))
  ;; 현재 OSMODE 저장
  (setq now_osmode (getvar "osmode"))
  ;; 무한 루프
  (while
    (progn
      ;; 객체 선택
      (prompt "\n이동할 객체를 선택하고 ESC 키를 누르세요.")
      (setq entname (car (entsel)))
      ;; ESC 키가 눌렸는지 확인
      (not (null entname))
    )
    ;; 선택한 객체의 좌표 정보 가져오기
    (setq vlentname (vlax-ename->vla-object entname))
    (vla-getboundingbox vlentname 'minpoint 'maxpoint)
    (setq lowleftpoint (vlax-safearray->list minpoint))
    (setq lowleftpointx (car lowleftpoint))
    (setq lowleftpointy (cadr lowleftpoint))
    (setq uprightpoint (vlax-safearray->list maxpoint))
    (setq uprightpointx (car uprightpoint))
    (setq uprightpointy (cadr uprightpoint))
    (setq lxuy (list lowleftpointx uprightpointy))
    ;; 이동 명령 실행
    (setvar "osmode" 0)
    (command "move" entname "" lxuy p1)
    ;; 이동 후 다음 이동할 좌표 설정
    (setq px (car p1))
    (setq py (cadr p1))
    (setq p1 (list px (- (- py bt1) (- uprightpointy lowleftpointy))))
  )
  ;; 이동이 완료되면 원래 OSMODE로 복원
  (setvar "osmode" now_osmode)
)

